GNU bug report logs - #26582
[PATCH] gnu: pcre: Fix Check for Hurd systems.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: rennes <rennes@HIDDEN>; Keywords: patch; merged with #26575; dated Thu, 20 Apr 2017 19:33:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 26575 26582. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 26582 <at> debbugs.gnu.org:


Received: (at 26582) by debbugs.gnu.org; 21 Apr 2017 03:04:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 20 23:04:08 2017
Received: from localhost ([127.0.0.1]:59553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d1Org-0002VG-Cb
	for submit <at> debbugs.gnu.org; Thu, 20 Apr 2017 23:04:08 -0400
Received: from lb1.openmailbox.org ([5.79.108.160]:49323
 helo=mail.openmailbox.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rennes@HIDDEN>) id 1d1Ore-0002V7-GP
 for 26582 <at> debbugs.gnu.org; Thu, 20 Apr 2017 23:04:06 -0400
Received: by mail.openmailbox.org (Postfix, from userid 20002)
 id 884D5508A87; Fri, 21 Apr 2017 04:39:18 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=openmailbox.org;
 s=openmailbox; t=1492743844;
 bh=pKprdZ2+OOq4Hupx4rDN6p3GvKCs+vNgTxKGSIE+YFg=;
 h=Date:From:Subject:To:Cc:References:In-Reply-To:From;
 b=rAZU8SBrH4E9c9nSLaJlrw7cE/MiuJVBKLDYJo5tzhAxA9egZsPhCb7iiJgjR1KFv
 AMlUzK4ZCjpXx8qe72i2nhuWxy2Cvsp9Ob1rNEAGOilF6iVImBcFeyzHtVEqzqvKMg
 BeJKGROct3xY34wA9yh+Gb7x3uE4VsarKdfKRRJk=
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on ZDZR002
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=NO_RECEIVED,NO_RELAYS,
 T_DKIM_INVALID autolearn=disabled version=3.4.0
Date: Thu, 20 Apr 2017 21:38:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=openmailbox.org;
 s=openmailbox; t=1492742356;
 bh=pKprdZ2+OOq4Hupx4rDN6p3GvKCs+vNgTxKGSIE+YFg=;
 h=Date:From:Subject:To:Cc:References:In-Reply-To:From;
 b=Jz2Ggk2JorGwWFkSqrJ+71jRBytTKCPgYWkFn7aNPnOESiOorjkuhw+NdEbIpDC7p
 Vf7UOtmv0VNt+rgHaLix1xaGaWU9tFl8uR62a3R9NpbBD9oGAkEKbSzf4mjaWDPaym
 bqdHsqybKFSp6PcqPfeXv0NdxagfR6uVGZE6wdug=
From: rennes <rennes@HIDDEN>
Subject: Re: bug#26582: [PATCH] gnu: pcre: Fix Check for Hurd systems.
To: Ludovic =?iso-8859-1?q?Court=E8s?= <ludo@HIDDEN>
References: <7cNcVrtMKJzzpdMgOTPW3i@Jrt62lb7BFa+Aa7uPD4Kw>
 <874lxilqgu.fsf@HIDDEN>
In-Reply-To: <874lxilqgu.fsf@HIDDEN> (from ludo@HIDDEN on Thu Apr 20
 16:27:29 2017)
X-Mailer: Balsa 2.5.3
Message-Id: <6aURzNkWbOSVjdWRXJGTOI@U/clXWCgV8qxZwAd0QwaU>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8; DelSp=Yes; Format=Flowed
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 26582
Cc: 26582 <at> debbugs.gnu.org, Manolis Ragkousis <manolis837@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Hello Ludovic,

On 04/20/2017 04:27:29 PM, Ludovic Court=C3=A8s wrote:

> >> Btw trying to build it with `./pre-inst-env guix build
> >> --target=3Di586-pc-gnu pcre' fails with
> >>
> >> ** Cannot --enable-pcregrep-libz because zlib.h was not found
> >>
> >> Maybe the inputs should become native-inputs?
> >
> > I moved zlib and readline to 'native-inputs'.
>=20
> Are you sure they need to be native inputs?  Both are libraries, so I
> imagine they=E2=80=99re used at run time, not at build time; they should =
be
> inputs, in this case.
>=20

I see the new 'replace `configure' does not detects the inputs, I will =20
continue to test!.=




Information forwarded to guix-patches@HIDDEN:
bug#26582; Package guix-patches. Full text available.

Message received at 26582 <at> debbugs.gnu.org:


Received: (at 26582) by debbugs.gnu.org; 20 Apr 2017 21:27:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 20 17:27:44 2017
Received: from localhost ([127.0.0.1]:59423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d1Jc7-00019c-Vi
	for submit <at> debbugs.gnu.org; Thu, 20 Apr 2017 17:27:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40571)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1d1Jc5-00019P-Od
 for 26582 <at> debbugs.gnu.org; Thu, 20 Apr 2017 17:27:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1d1Jbx-0008Fq-73
 for 26582 <at> debbugs.gnu.org; Thu, 20 Apr 2017 17:27:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42190)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1d1Jbx-0008Fl-3U; Thu, 20 Apr 2017 17:27:33 -0400
Received: from reverse-83.fdn.fr ([80.67.176.83]:35358 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1d1Jbw-0007my-DT; Thu, 20 Apr 2017 17:27:32 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: rennes <rennes@HIDDEN>
Subject: Re: bug#26582: [PATCH] gnu: pcre: Fix Check for Hurd systems.
References: <7cNcVrtMKJzzpdMgOTPW3i@Jrt62lb7BFa+Aa7uPD4Kw>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 1 =?utf-8?Q?Flor=C3=A9al?= an 225 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Thu, 20 Apr 2017 23:27:29 +0200
In-Reply-To: <7cNcVrtMKJzzpdMgOTPW3i@Jrt62lb7BFa+Aa7uPD4Kw>
 (rennes@HIDDEN's message of "Thu, 20 Apr 2017 14:31:51
 -0500")
Message-ID: <874lxilqgu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26582
Cc: 26582 <at> debbugs.gnu.org, Manolis Ragkousis <manolis837@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

rennes <rennes@HIDDEN> skribis:

> Hi,
>> Also this
>>=20
>> >   ,@(if (hurd-triplet? ((or %current-system
>> >                             %current-target-system)))
>>=20
>> should be this
>>=20
>> >   ,@(if (hurd-triplet? (or (%current-system)
>> >                            (%current-target-system)))
>>=20
>
> Fixed!
>
>> Btw trying to build it with `./pre-inst-env guix build
>> --target=3Di586-pc-gnu pcre' fails with
>>=20
>> ** Cannot --enable-pcregrep-libz because zlib.h was not found
>>=20
>> Maybe the inputs should become native-inputs?
>
> I moved zlib and readline to 'native-inputs'.

Are you sure they need to be native inputs?  Both are libraries, so I
imagine they=E2=80=99re used at run time, not at build time; they should be
inputs, in this case.

Thoughts?

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#26582; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Apr 2017 19:32:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 20 15:32:14 2017
Received: from localhost ([127.0.0.1]:59346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d1HoL-0006tz-VG
	for submit <at> debbugs.gnu.org; Thu, 20 Apr 2017 15:32:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39681)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rennes@HIDDEN>) id 1d1HoK-0006tm-Cw
 for submit <at> debbugs.gnu.org; Thu, 20 Apr 2017 15:32:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rennes@HIDDEN>) id 1d1HoD-0002Et-ON
 for submit <at> debbugs.gnu.org; Thu, 20 Apr 2017 15:32:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39803)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rennes@HIDDEN>)
 id 1d1HoD-0002Ej-Lk
 for submit <at> debbugs.gnu.org; Thu, 20 Apr 2017 15:32:05 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58872)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rennes@HIDDEN>) id 1d1HoB-0001Tl-Uu
 for guix-patches@HIDDEN; Thu, 20 Apr 2017 15:32:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rennes@HIDDEN>) id 1d1Ho8-0002BM-QU
 for guix-patches@HIDDEN; Thu, 20 Apr 2017 15:32:03 -0400
Received: from lb1.openmailbox.org ([5.79.108.160]:48607
 helo=mail.openmailbox.org)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <rennes@HIDDEN>)
 id 1d1Ho8-0002Ac-DO
 for guix-patches@HIDDEN; Thu, 20 Apr 2017 15:32:00 -0400
Received: by mail.openmailbox.org (Postfix, from userid 20002)
 id 8D760507094; Thu, 20 Apr 2017 21:31:58 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=openmailbox.org;
 s=openmailbox; t=1492716718;
 bh=me+uGmdMYVa0swckpXPrIgJgXd/2IjnIx38Xkul/4CE=;
 h=Date:From:Subject:To:Cc:In-Reply-To:From;
 b=mXfUYz1+xJrfYxhtEJuUfJXfaWDoflUJykS/YErdNsO5/QD6EceIu42ofY8npK0ln
 9+LHMk5gmgolNY4+okEu7wgIiXU0E1ddgITXeWs+1Qojo+ryI3LaBthwAPD2/73SX3
 pxkrh6ruNQNMSRlQ8cT/ICeCfCtDKGqSAgS7NoZ8=
Date: Thu, 20 Apr 2017 14:31:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=openmailbox.org;
 s=openmailbox; t=1492716716;
 bh=me+uGmdMYVa0swckpXPrIgJgXd/2IjnIx38Xkul/4CE=;
 h=Date:From:Subject:To:Cc:In-Reply-To:From;
 b=tFGM4m5iFIgpx9dyWwV6O6LZkXYI1GcWAzP/s8KQt9LC4M5C0W0RQm+41RLxFjffC
 Ezc97O7ukg9kuvwSTiHrTAdt/gu3lQeIMD0aU2ZmCuiyXH9uEp8rPixpCE0FQchu5N
 oECIizey4mN0CxeEBcHdZ1/pC3xMvpn3tuDEW/hg=
From: rennes <rennes@HIDDEN>
Subject: Re: [PATCH] gnu: pcre: Fix Check for Hurd systems.
To: Manolis Ragkousis <manolis837@HIDDEN>
In-Reply-To: <e22f9c74-66f0-5340-a9c7-e88590f3bc96@HIDDEN> (from
 manolis837@HIDDEN on Thu Apr 20 09:08:01 2017)
X-Mailer: Balsa 2.5.3
Message-Id: <7cNcVrtMKJzzpdMgOTPW3i@Jrt62lb7BFa+Aa7uPD4Kw>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-YyZAX4Q/ZNPjPuxYSi4H"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--=-YyZAX4Q/ZNPjPuxYSi4H
Content-Type: text/plain; charset=us-ascii; DelSp=Yes; Format=Flowed
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi,
> Also this
>=20
> >   ,@(if (hurd-triplet? ((or %current-system
> >                             %current-target-system)))
>=20
> should be this
>=20
> >   ,@(if (hurd-triplet? (or (%current-system)
> >                            (%current-target-system)))
>=20

Fixed!

> Btw trying to build it with `./pre-inst-env guix build
> --target=3Di586-pc-gnu pcre' fails with
>=20
> ** Cannot --enable-pcregrep-libz because zlib.h was not found
>=20
> Maybe the inputs should become native-inputs?

I moved zlib and readline to 'native-inputs'.
Finally './pre-inst-env guix build pcre --target=3Di586-pc-gnu' built =20
successfully.=

--=-YyZAX4Q/ZNPjPuxYSi4H
Content-Type: text/x-patch; charset=UTF-8;
	name=0001-gnu-pcre-Fix-Check-for-Hurd-systems.patch
Content-Disposition: attachment;
	filename=0001-gnu-pcre-Fix-Check-for-Hurd-systems.patch
Content-Transfer-Encoding: quoted-printable

=46rom 5eb24c23eba8c5d259e3a4c39e19ae1321c59863 Mon Sep 17 00:00:00 2001
From: rennes <rennes@HIDDEN>
Date: Thu, 20 Apr 2017 13:58:57 -0500
Subject: [PATCH] gnu: pcre: Fix Check for Hurd systems.

* gnu/packages/pcre.scm (pcre)[arguments]: Add "--disable-stack-for-recursi=
on".
(readline, zlib): Add 'native-inputs' field.
---
 gnu/packages/pcre.scm | 51 +++++++++++++++++++++++++++++++++++++++--------=
----
 1 file changed, 39 insertions(+), 12 deletions(-)

diff --git a/gnu/packages/pcre.scm b/gnu/packages/pcre.scm
index 1946f5229..266f16ce5 100644
--- a/gnu/packages/pcre.scm
+++ b/gnu/packages/pcre.scm
@@ -5,6 +5,7 @@
 ;;; Copyright =C2=A9 2016 Leo Famulari <leo@HIDDEN>
 ;;; Copyright =C2=A9 2017 Marius Bakke <mbakke@HIDDEN>
 ;;; Copyright =C2=A9 2017 Ludovic Court=C3=A8s <ludo@HIDDEN>
+;;; Copyright =C2=A9 2017 Rene Saavedra <rennes@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -24,6 +25,7 @@
 (define-module (gnu packages pcre)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages hurd) =20
   #:use-module (gnu packages readline)
   #:use-module (gnu packages)
   #:use-module (guix packages)
@@ -50,19 +52,44 @@
    (outputs '("out"           ;library & headers
               "bin"           ;depends on Readline (adds 20MiB to the clos=
ure)
               "doc"))         ;1.8 MiB of HTML
-   (inputs `(("bzip2" ,bzip2)
-             ("readline" ,readline)
-             ("zlib" ,zlib)))
+   (inputs `(("bzip2" ,bzip2)))
+   (native-inputs
+    `(;; When cross-compiling with target i586-pc-gnu does not detect
+      ;; zlib/readline packages as input, then we need the packages
+      ;; as native inputs.
+      ("readline" ,readline)
+      ("zlib" ,zlib)))
    (arguments
-    '(#:disallowed-references ("doc")
-      #:configure-flags '("--enable-utf"
-                          "--enable-pcregrep-libz"
-                          "--enable-pcregrep-libbz2"
-                          "--enable-pcretest-libreadline"
-                          "--enable-unicode-properties"
-                          "--enable-pcre16"
-                          "--enable-pcre32"
-                          "--enable-jit")))
+    `(#:disallowed-references ("doc")
+      #:phases
+      (modify-phases %standard-phases
+        (replace 'configure
+                 (lambda* (#:key inputs outputs #:allow-other-keys)
+                   (let* ((out (assoc-ref outputs "out"))
+                          (bin (assoc-ref outputs "bin"))
+                          (doc (assoc-ref outputs "doc")))
+                     (setenv "CONFIG_SHELL" (which "bash"))
+                     (zero?
+                      (system* "./configure"
+                               (string-append "--prefix=3D" out)
+                               (string-append "--bindir=3D" bin)
+                               (string-append "--docdir=3D" doc)
+                               "--enable-utf"
+                               "--enable-pcregrep-libz"
+                               "--enable-pcregrep-libbz2"
+                               "--enable-pcretest-libreadline"
+                               "--enable-unicode-properties"
+                               "--enable-pcre16"
+                               "--enable-pcre32"
+                               "--enable-jit"
+                               ;; On GNU/Hurd systems FAIL 'RunTest' with =
'segmentation
+                               ;; fault' in Check phase, to pass the test =
we can disable
+                               ;; "--enable-jit" or set "--disable-stack-f=
or-recursion"
+                               ;; argument.
+                               ,@(if (hurd-triplet? (or (%current-system)
+                                                        ( %current-target-=
system)))
+                                     '("--disable-stack-for-recursion")
+                                     '())))))))))
    (synopsis "Perl Compatible Regular Expressions")
    (description
     "The PCRE library is a set of functions that implement regular express=
ion
--=20
2.12.0

=

--=-YyZAX4Q/ZNPjPuxYSi4H--




Acknowledgement sent to rennes <rennes@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#26582; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Apr 2017 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.